import logging


class PartialFilter(logging.Filter):
    """
    Class to filter any log records that have the "partial" attribute set to ``True``.
    """

    def filter(self, record):
        return getattr(record, "partial", False) is not True
